package config

import (
	"github.com/zeromicro/go-zero/core/logx"
	"github.com/zeromicro/go-zero/zrpc"
)

type (
	Kafka struct {
		Addr            []string
		Topic           string
		ConsumerGroupId string
	}
	Config struct {
		zrpc.RpcServerConf
		Log logx.LogConf
		DB  struct {
			DataSource string
		}

		Gift struct {
			Kafka Kafka
		}
	}
)
