package msg_transfer

import (
	"context"
	"live-service/app/gift/rpc/internal/server"
	"live-service/app/gift/rpc/internal/svc"
	"live-service/app/gift/rpc/msg_transfer/gift"
)

var (
	giftMsgToDb gift.MsgToDBHandler
)

func Init(context context.Context, ctx *svc.ServiceContext, svr *server.GiftServer) {
	giftMsgToDb.Init(context, ctx, svr)
}

func Run() {
	go giftMsgToDb.ConsumerGroup.RegisterHandlerAndConsumer(&giftMsgToDb)
}
