package msg_transfer

import (
	"context"
	"live-service/app/user_center/rpc/internal/server"
	"live-service/app/user_center/rpc/internal/svc"
	"live-service/app/user_center/rpc/msg_transfer/danmaku"
)

var (
	danmakuMsgToDb danmaku.MsgToDBHandler
)

func Init(context context.Context, ctx *svc.ServiceContext, svr *server.UserCenterServer) {
	danmakuMsgToDb.Init(context, ctx, svr)
}

func Run() {
	go danmakuMsgToDb.ConsumerGroup.RegisterHandlerAndConsumer(&danmakuMsgToDb)
}
