package svc

import (
	"github.com/zeromicro/go-zero/core/stores/sqlx"
	"live-service/app/gift/model"
	"live-service/app/gift/rpc/internal/config"
)

type ServiceContext struct {
	Config config.Config

	GiftModel model.GiftModel
}

func NewServiceContext(c config.Config) *ServiceContext {
	return &ServiceContext{
		Config: c,
		// model
		GiftModel: model.NewGiftModel(sqlx.NewMysql(c.DB.DataSource)),
	}
}
